Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Interface GraphicShell

All Known Implementing Classes:
  AbstractMadkitBooter, Booter, Booter, DesktopBooter, PluginInstaller

    public interface GraphicShell

An useful interface if you want to define your own GUI for MadKit. See the Desktop or Console booter source for more information. The principle here is being able to plug the MadKit agent-kernel into various applications. These applications could be development or test platforms, regular application with an embedded MAS, or applets.

Method Summary
`void` | `disposeGUI(AbstractAgent a)` This method is called by the MadKit kernel when a local agent is killed, so that the host graphical application can clean up the wrapper graphical interface
`void` | `disposeGUIImmediatly(AbstractAgent a)` This method is called by the MadKit kernel when a local agent request the host graphical application to remove its wrapper graphical interface
`java.lang.Object` | `getDefaultGUIObject(AbstractAgent a)` This method defines a default GUI object that will be instanciated when an agent does not define its initGUI() method.
`void` | `setupGUI(AbstractAgent a)` This method is called by the MadKit kernel when a new agent is launched, it is up to the graphical application to setup the appropriate widget in cooperation with the agent (i.e. with the getGUIObject() method in the Agent class)
`void` | `setupGUI(AbstractAgent a, java.awt.Point p, java.awt.Dimension d)` This method is identical to setupGUI(AbstractAgent a) except that location and dimension of the graphic interface are passed as arguments.

Method Detail

### setupGUI

    void setupGUI(AbstractAgent a)

  This method is called by the MadKit kernel when a new agent is launched, it is up to the graphical application to setup the appropriate widget in cooperation with the agent (i.e. with the getGUIObject() method in the Agent class)

### setupGUI

    void setupGUI(AbstractAgent a,
                  java.awt.Point p,
                  java.awt.Dimension d)

  This method is identical to setupGUI(AbstractAgent a) except that location and dimension of the graphic interface are passed as arguments. This method should not be called directly and is used only for restoring a configuration of agents

### disposeGUI

    void disposeGUI(AbstractAgent a)

  This method is called by the MadKit kernel when a local agent is killed, so that the host graphical application can clean up the wrapper graphical interface

### disposeGUIImmediatly

    void disposeGUIImmediatly(AbstractAgent a)

  This method is called by the MadKit kernel when a local agent request the host graphical application to remove its wrapper graphical interface

### getDefaultGUIObject

    java.lang.Object getDefaultGUIObject(AbstractAgent a)

  This method defines a default GUI object that will be instanciated when an agent does not define its initGUI() method. The agent is passed in reference so that the GraphicShell has an opportunity to handle different GUIs according to the agent type or redirect the output stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.